language: ruby

before_install:
  - gem i bundler

bundler_args: --without benchmark --jobs=3 --retry=3

matrix:
  include:
    - rvm: 2.4.9
    - rvm: 2.5.7
    - rvm: 2.6.5
    - rvm: 2.7.0
    - rvm: jruby-9.2.9.0
      env: JRUBY_OPTS=--debug
      jdk: openjdk8
    - rvm: ruby-head
    - rvm: jruby-head
      env: JRUBY_OPTS=--debug
      jdk: openjdk8
  allow_failures:
    - rvm: ruby-head
    - rvm: jruby-head
      env: JRUBY_OPTS=--debug
  fast_finish: true
